https://github.com/matomo-org/matomo/issues/6469 - Mouve

Site d'origine

New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Use Bower for JS / CSS / other assets #6469

Closed
tsteur opened this issue Oct 20, 2014 · 8 comments
Closed

Use Bower for JS / CSS / other assets #6469

tsteur opened this issue Oct 20, 2014 · 8 comments
Assignees
Labels
Milestone

Comments

@tsteur
Copy link
Member

@tsteur tsteur commented Oct 20, 2014

See http://bower.io/

A package manager for the web.

Web sites are made of lots of things — frameworks, libraries, assets, utilities, and rainbows. Bower manages all these things for you.

tsteur added a commit that referenced this issue Oct 20, 2014
tsteur added a commit that referenced this issue Oct 20, 2014
tsteur added a commit that referenced this issue Oct 20, 2014
@tsteur
Copy link
Member Author

@tsteur tsteur commented Oct 20, 2014

FYI: In the beginning we will commit the libs/bower_components directory as bower requires nodejs which maybe not everyone has installed. The Piwik team will use bower / nodejs to update the dependencies and commit them. Later we could try to use for instance https://github.com/francoispluchino/composer-asset-plugin once it supports project mode.

@diosmosis
Copy link
Member

@diosmosis diosmosis commented Oct 20, 2014

Can we use http://bowerphp.org/ ?

@tsteur
Copy link
Member Author

@tsteur tsteur commented Oct 20, 2014

Nope, doesn't work

tsteur added a commit that referenced this issue Oct 20, 2014
@diosmosis
Copy link
Member

@diosmosis diosmosis commented Oct 20, 2014

Could you elaborate? Ie, is it too alpha? Does it use a separate package repo?

tsteur added a commit that referenced this issue Oct 20, 2014
…jquery-ui.css from bower
@tsteur
Copy link
Member Author

@tsteur tsteur commented Oct 20, 2014

I tried it in the beginning when adding the bower.json but it couldn't resolve all versions and just errored

@diosmosis
Copy link
Member

@diosmosis diosmosis commented Oct 20, 2014

well that sucks :(

tsteur added a commit that referenced this issue Oct 20, 2014
… bower component as we are using a custom theme? this would explain why we were using jquery-ui 1.10.4 and but the css from 1.10.1. Not sure if it is a good idea to use 1.10.1 CSS with version 1.11.2. We will see...
@tsteur
Copy link
Member Author

@tsteur tsteur commented Oct 20, 2014

FYI: In case someone is using Webstorm / PHPStorm:

With integrated Bower package manager, you’ll be able to search for, install and manage client-side libraries and frameworks for your project with ease, right in the IDE.

(There is also a plugin for Atom and Sublime)

tsteur added a commit that referenced this issue Oct 20, 2014
tsteur added a commit that referenced this issue Oct 20, 2014
… runs out of time very soon. So going back to 1.10.4
tsteur added a commit that referenced this issue Oct 20, 2014
…akes ui tests fast again
@tsteur
Copy link
Member Author

@tsteur tsteur commented Oct 21, 2014

Done for the libraries that we use and are on bower. We are using only official repositories.

Don't think there is a lot to explain. As with composer one only has to run bower update to update dependencies and that's it.

@tsteur tsteur closed this Oct 21, 2014
@tsteur tsteur self-assigned this Oct 21, 2014
@tsteur tsteur added this to the Piwik 2.9.0 milestone Oct 21, 2014
@tsteur tsteur added the Task label Oct 21, 2014
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
2 participants

Raccourcis

Commandes

Fermer